﻿using DemoPractick.VM;
using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace DemoPractick.Pages.Users
{
    /// <summary>
    /// Логика взаимодействия для Product.xaml
    /// </summary>
    public partial class Products : Page
    {
        ViewModel VM;
        public Products(ViewModel vm)
        {
            
            InitializeComponent();
            VM = vm;
            DataContext = VM;
            Poisk.Text = "Введите для поиска";//подсказка поиска
            Poisk.FontSize = 10;//Размер шрифта поиска
            Poisk.Foreground = Brushes.Gray;//Цвет шрифта поиска(серый)
            Sort.Text = "Сортировка";//подсказка сортировки
            Sort.Foreground = Brushes.Gray;
            Filtr.Text = "Фильтрация";//подсказка сортировки
            Filtr.Foreground = Brushes.Gray;

        }
        private void Poisk_Enter(object sender, EventArgs e)//происходит когда элемент станет активным при наведении курсора
        {

                Poisk.Clear();//Очистка значения поиска
                Poisk.Foreground = Brushes.Black;//Цвет шрифта поиска(Черный)

        }
        private void Sort_Enter(object sender, EventArgs e)//происходит когда элемент станет активным при наведении курсора
        {
            Sort.Text=null;//Очистка значения поиска
            Sort.Foreground = Brushes.Black;//Цвет шрифта поиска(Черный)

        }
        private void Filtr_Enter(object sender, EventArgs e)//происходит когда элемент станет активным при наведении курсора
        {
            Filtr.Text = null;//Очистка значения поиска
            Filtr.Foreground = Brushes.Black;//Цвет шрифта поиска(Черный)

        }

        private void RedTovar(object sender, EventArgs e)//происходит когда элемент станет активным при наведении курсора
        {
            Red R = new Red(VM);
            R.ShowDialog();

        }
        
        private void PlusTovar(object sender, EventArgs e)//происходит когда элемент станет активным при наведении курсора
        {
            //Add A = new Add(VM);
            //A.ShowDialog();

        }
    }
}
